Summary:       An implementation of DSSSL, a style language to format SGML or XML documents
Name:          openjade
Version:       1.3.2
Release:       5%{?dist}
License:       MIT
URL:           http://openjade.sourceforge.net/
Source0:       https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-%{version}.tar.gz
#config.sub and config.guess from upstream sources (Mar 25th 2013), for aarch64
Source2:       config.guess
Source3:       config.sub
#From fedora
Patch3000:     openjade-deplibs.patch
Patch3001:     openjade-nola.patch
Patch3002:     openjade-1.3.2-gcc46.patch
Patch3003:     openjade-getoptperl.patch


BuildRequires: make gcc-c++ opensp-devel
BuildRequires: perl-interpreter perl-POSIX perl-Getopt-Std
Requires:      sgml-common
Provides:      jade = %{version}-%{release}

%description
Jade is James Clark's implementation of DSSSL -- 
Document Style Semantics and Specification Language -- 
an ISO standard for formatting SGML (and XML) documents.
OpenJade is undertaken by the DSSSL community to maintain
and extend Jade, as well as the related SP suite of SGML/XML
processing tools.OpenJade contains backends for various formats
(RTF, HTML, TeX, MIF, SGML2SGML, and FOT). 


%prep
%autosetup -p1


%build
cp -p %{SOURCE2} %{SOURCE3} config/
# disable -flifetim-dse optimization
export CXXFLAGS="%optflags -fno-lifetime-dse"
%configure --disable-static \
	   --enable-splibdir=%{_libdir} \
           --datadir=%{_datadir}/sgml/%{name}-%{version}
%make_build


%install
%make_install
make install-man DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.so  %{buildroot}%{_libdir}/*.la

ln -s openjade %{buildroot}/%{_bindir}/jade
echo ".so man1/openjade.1" > %{buildroot}/%{_mandir}/man1/jade.1

cp dsssl/catalog dsssl/{dsssl,style-sheet,fot}.dtd %{buildroot}/%{_datadir}/sgml/%{name}-%{version}/

mkdir -p  %{buildroot}/etc/sgml
cd  %{buildroot}/etc/sgml
touch %{name}-%{version}-%{release}.soc
ln -s %{name}-%{version}-%{release}.soc %{name}.soc
cd -
# ignore standard and empty RPATHs to avoid:
# ERROR   0001: file '/usr/lib64/libospgrove.so.0.0.1' contains a standard  '/usr/lib64' in [/usr/lib64]
export QA_RPATHS=0x0001


%post
/usr/bin/install-catalog --add /etc/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :

%preun
/usr/bin/install-catalog --remove /etc/sgml/%{name}-%{version}-%{release}.soc \
    %{_datadir}/sgml/%{name}-%{version}/catalog >/dev/null 2>/dev/null || :


%files
%license COPYING
%doc README VERSION jadedoc/* dsssl/README.jadetex
%ghost /etc/sgml/%{name}-%{version}-%{release}.soc
/etc/sgml/%{name}.soc
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/sgml/%{name}-%{version}
%{_mandir}/*/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jun 22 2022 rockerzhu <rockerzhu@tencent.com> - 1.3.2-1
- Initial build
